package com.yizhi.drools.application;

import com.yizhi.core.application.security.config.SpringSecurityConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.amqp.RabbitAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.DependsOn;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author shengchenglong
 */
@SpringBootApplication(exclude = {RabbitAutoConfiguration.class})
@EnableTransactionManagement
@EnableDiscoveryClient
//@MapperScan("com.fulan.drools.mapper")
@EnableFeignClients(basePackages = "com.yizhi")
@ComponentScan(basePackages = {"com.yizhi"})
public class CloudDroolsApplication {

    public static void main(String[] args) {
        SpringApplication.run(CloudDroolsApplication.class, args);
    }
    @Bean

    public SpringSecurityConfig springSecurityConfig(){
        return new SpringSecurityConfig();
    }
}

